;;;; cl-scopes/lib/auth - authentication services

(defpackage :scopes-auth
  (:use :common-lisp)
  (:local-nicknames (:config :scopes/config)
                    (:util :scopes/util))
  (:import-from :scopes/web/dom #:div #:label)
  (:export #:config
           #:login))

(in-package :scopes-auth)

(defclass config (config:base)
  ((admin-credentials :initarg :admin-credentials)))

(defun login (cred)
  (util:lgi cred))
